Skip to main content
`Ctrl`+`K`

# SNESFASGetCoarseSolve

Gets the coarsest level solver.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetCoarseSolve(SNES snes, SNES *coarse)

## Input Parameter

- snes - the `SNESFAS` nonlinear multigrid context

## Output Parameter

- coarse - the coarse-level solver

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetInjection()`, `SNESFASSetRestriction()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages